Are there Specific Issues when i want to upgrade:
2x ZCM 10.3.0 Primary's (SLES 11 X64)
1x ZCM 10.3.0 Sybase External (SLES 11 X64)
1x ZCM 10.3.0 Satt.server (SLES 11 X64) (imaging)
180x Client WXP SP3 agent 10.3.0

to ZCM 11 advanced

How about:
5.1 Preparing the ZENworks 11 Server to Manage ZENworks Configuration Management 10.3.x Managed Devices ZENworks 11 server is compatible with ZENworks Configuration Management 10.3.x managed devices, however, a freshly installed ZENworks 11 server in a 10.3.x zone or a mixed zone (10.3.x and 11.0 managed devices) cannot provide component management functionality to 10.3.x managed devices communicating with it unless these steps are taken. Copy the following files from a 10.3.x server or a system updated 11.0 server in the zone and replace them at the respective location of the newly installed ZENworks 11 server.

What does it mean, and did i need it.
I will upgrade everything in one Evening!